=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Mikhail Zolotukhin <mail@genda.life>
# SPDX-License-Identifier: MIT

add_subdirectory(kcm)
add_subdirectory(kwinscript)
