=== src/kcm/icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Mikhail Zolotukhin <mail@genda.life>
# SPDX-License-Identifier: MIT

ecm_install_icons(
  ICONS
  sc-apps-bismuth.svg
  22-categories-bismuth-kcm.svg
  64-categories-bismuth-kcm.svg
  DESTINATION ${KDE_INSTALL_ICONDIR}
)
