=== src/kwinscript/icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Ignacy Kajdan <git@verahawk.com>
# SPDX-License-Identifier: MIT

ecm_install_icons(
  ICONS
  32-status-bismuth-column.svg
  32-status-bismuth-floating.svg
  32-status-bismuth-monocle.svg
  32-status-bismuth-quarter.svg
  32-status-bismuth-spiral.svg
  32-status-bismuth-spread.svg
  32-status-bismuth-stair.svg
  32-status-bismuth-tile.svg
  DESTINATION ${KDE_INSTALL_ICONDIR}
)
