=== debian/changelog ===
bismuth (2.3.0-0ubuntu1) jammy; urgency=medium

  * Initial release for Ubuntu (LP: #1960272)
  * Update maintainer
  * Add self to copyright

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Mon, 07 Feb 2022 12:44:43 -0800

Old changelog:

bismuth (2.2.0-1) unstable; urgency=medium

  * First debian package

 -- Blake Lee <blake@volian.org>  Sat, 18 Dec 2021 16:46:58 -0500
