=== debian/control ===
Source: bismuth
Section: kde
Priority: optional
Maintainer: Erich Eickmeyer <eeickmeyer@ubuntu.com>
XSBC-Original-Maintainer: Volian Developers <volian-devel@volian.org>
Uploaders: Blake Lee <blake@volian.org>
Homepage: https://github.com/Bismuth-Forge/bismuth
VCS-Git: https://gitlab.com/volian/bismuth.git
VCS-Browser: https://gitlab.com/volian/bismuth
Standards-Version: 4.6.0
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
	cmake,
	ninja-build,
	extra-cmake-modules,
	kirigami2-dev,
	libkf5config-dev,
	libkf5configwidgets-dev,
	libkf5coreaddons-dev,
	libkf5declarative-dev,
	libkf5i18n-dev,
	libkf5kcmutils-dev,
	libqt5svg5-dev,
	esbuild,
	qml-module-qtquick-controls2,
	qml-module-qtquick-controls,
	qml-module-qtquick-dialogs,
	qml-module-qtquick-extras,
	qml-module-qtquick-layouts,
	qml-module-qtquick-localstorage,
	qml-module-qtquick-particles2,
	qml-module-qtquick-pdf,
	qml-module-qtquick-privatewidgets,
	qml-module-qtquick-scene2d,
	qml-module-qtquick-scene3d,
	qml-module-qtquick-shapes,
	qml-module-qtquick-templates2,
	qml-module-qtquick-virtualkeyboard,
	qml-module-qtquick-window2,
	qml-module-qtquick-xmllistmodel,
	qml-module-qtquick2,
	qtbase5-dev,
	qtdeclarative5-dev,
	qtquickcontrols2-5-dev,

Package: kwin-bismuth
Architecture: amd64 arm64
Depends: ${shlibs:Depends},
	${misc:Depends},
	hicolor-icon-theme,
	systemsettings (>= 4:5.20~),
	kwin-x11 (>= 4:5.20~) | kwin,
Description: KDE Plasma extension for tiling windows
 KDE Plasma extension, that lets you tile your windows
 automatically and manage them via keyboard, just like
 in classical tiling window managers (i3, dwm or XMonad).
