=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all, nocheck
DEBDIR = debian
DESTDIR = $(DEBDIR)/kwin-bismuth/usr

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_TSC=OFF -DUSE_NPM=OFF
