=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021-2022 Mikhail Zolotukhin <mail@gikari.com>
# SPDX-License-Identifier: MIT

add_subdirectory(config)
add_subdirectory(core)
add_subdirectory(kcm)
add_subdirectory(kdecoration)
add_subdirectory(kwinscript)
