=== tests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Mikhail Zolotukhin <mail@gikari.com>
# SPDX-License-Identifier: MIT

include(doctest)

add_subdirectory(core)
