=== src/core/kconf_update/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Mikhail Zolotukhin <mail@gikari.com>
# SPDX-License-Identifier: MIT

target_sources(bismuth_core PRIVATE legacy_shortcuts.cpp)
