=== debian/changelog ===
bismuth (3.1.4-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:35:17 +1100

bismuth (3.1.4-4build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 03:58:09 +0000

bismuth (3.1.4-4) unstable; urgency=medium

  * Team upload.

  [ Pino Toscano ]
  * Bump the libkf5config-dev build dependency to 5.100.1, as it is the first
    upstream version with kconfig_compiler that properly generates the code for
    bismuth configurations.

  [ Aurélien COUDERC ]
  * Change maintainer to the Debian KDE Extras Team instead of the main
    Qt/KDE team.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 25 Dec 2022 16:09:51 +0100

bismuth (3.1.4-3) unstable; urgency=medium

  * Team upload.
  * Bump libkf5config-dev build dependency to 5.98.0-2, so that kconfig_compiler
    does not misproduce enum values for signal masks in headers.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Oct 2022 06:38:17 +0100

bismuth (3.1.4-2) unstable; urgency=medium

  * Team upload.
  * Drop unused DEBDIR, and DESTDIR variables from debian/rules.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Use the kf5 dh addon for the build:
    - add the pkg-kde-tools build dependency
  * Drop "nocheck" from $DEB_BUILD_MAINT_OPTIONS in debian/rules: there are no
    tests run automatically, and in case they are not wanted they should be
    disabled explicitly (e.g. via an empty dh_auto_test override).
  * Do not explicit specify the cmake buildsystem: it is the only buildsystem
    present, and the dh autodetection properly detects it.
  * Update the build dependencies according to the upstream build system:
    - add libkf5globalaccel-dev
    - annotate esbuild as :native, as it is a build tool
    - drop ninja-build, as it is not explicitly used (and thus make is used)
    - drop unused: kirigami2-dev, qml-module-qtquick-controls2,
      qml-module-qtquick-controls, qml-module-qtquick-dialogs,
      qml-module-qtquick-extras, qml-module-qtquick-layouts,
      qml-module-qtquick-localstorage, qml-module-qtquick-particles2,
      qml-module-qtquick-pdf, qml-module-qtquick-privatewidgets,
      qml-module-qtquick-scene2d, qml-module-qtquick-scene3d,
      qml-module-qtquick-shapes, qml-module-qtquick-templates2,
      qml-module-qtquick-virtualkeyboard, qml-module-qtquick-window2,
      qml-module-qtquick-xmllistmodel, qml-module-qtquick2, and
      qtquickcontrols2-5-dev
  * Explicitly depend on most of the external QML modules used at runtime:
    qml-module-org-kde-kcm, qml-module-org-kde-kirigami2,
    qml-module-qtquick-controls, qml-module-qtquick-layouts, and
    qml-module-qtquick2.
  * Disable even building the tests when cross-compiling: during build a test
    program is run to discover the test suites; since the tests are not run
    during cross-compiling anyway, stop building them
    - pass -DBUILD_TESTING=OFF in this case

 -- Pino Toscano <pino@debian.org>  Thu, 27 Oct 2022 21:09:28 +0200

bismuth (3.1.4-1) unstable; urgency=medium

  * First debian release (Closes: #1008816)

 -- Blake Lee <blake@volian.org>  Sun, 16 Oct 2022 22:07:19 -0400
