=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/architecture.mk

# disable even building the tests when cross-compiling: during build
# a test program is run to discover the test suites
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
  CMAKE_ARGS += -DBUILD_TESTING=OFF
endif

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DUSE_TSC=OFF -DUSE_NPM=OFF $(CMAKE_ARGS)
